import 'package:flutter/material.dart';
import 'package:flutter_hooks/flutter_hooks.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';
import 'package:styled_widget/styled_widget.dart';
import 'package:go_router/go_router.dart';
import 'package:gap/gap.dart';

import '../config.dart';

class SettingsPage extends HookConsumerWidget {
  const SettingsPage({super.key});
  @override
  Widget build(BuildContext context, WidgetRef ref) {
    return Scaffold(
      appBar: AppBar(title: const Text('设置')),
      body: ListView(
        children: [
          const Gap(8),
          InkWell(
            onTap: () => context.push('/settings/theme'),
            child: ListTile(
              leading: const Icon(Icons.palette),
              title: const Text('外观'),
              // subtitle: const Text('亮 / 暗模式, 动态取色?'),
            ),
          ),
          const Divider(height: 16),
          InkWell(
            onTap: () => context.push('/about'),
            child: ListTile(
              leading: const Icon(Icons.info),
              title: const Text('关于'),
              subtitle: Text('拾糖论坛'),
            ),
          ),
        ],
      ),
    );
  }
}
